Roll ARCore SDK version to 1.8

Stop using API deprecated in version 1.7.

Remove special-casing for -Wextra-semi.

Bug: 931379,936004
Change-Id: Ib547ef4fe0dde124753561d47a34eeb075e3b883
Reviewed-on: https://chromium-review.googlesource.com/c/chromium/src/+/1548322
Commit-Queue: Andrew Grieve <agrieve@chromium.org>
Reviewed-by: Andrew Grieve <agrieve@chromium.org>
Reviewed-by: Klaus Weidner <klausw@chromium.org>
Reviewed-by: Peter Wen <wnwen@chromium.org>
Auto-Submit: Piotr Bialecki <bialpio@chromium.org>
Cr-Original-Commit-Position: refs/heads/master@{#648242}
Cr-Mirrored-From: https://chromium.googlesource.com/chromium/src
Cr-Mirrored-Commit: 24512356f6d6ec27edc1d5547677a26e4ce6dab7
diff --git a/roll/android_deps/build.gradle b/roll/android_deps/build.gradle
index a3a4734..141aa0d 100644
--- a/roll/android_deps/build.gradle
+++ b/roll/android_deps/build.gradle
@@ -78,7 +78,7 @@
     compile "com.google.protobuf:protobuf-lite:3.0.1"
 
     // ARCore - needed for WebXR implementation on Android
-    compile "com.google.ar:core:1.6.0"
+    compile "com.google.ar:core:1.8.0"
 
     // Androidx test libraries
     testCompile "androidx.test:core:1.0.0"